Epoch: 0
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-java
# END SourceDeps(oneline)
BuildRequires: /proc
BuildRequires: jpackage-compat
# %name or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name jra
%define version 1.0
%global namedreltag -alpha-4
%global namedversion %{version}%{?namedreltag}

Name:          jra
Version:       1.0
Release:       alt2_0.2.alpha4jpp7
Summary:       Java REST Annotations
License:       ASL 2.0
Group:         Development/Java
URL:           http://jra.codehaus.org/

# svn export https://svn.codehaus.org/jra/branches/jra-1.0-alpha-4/ jra-1.0-alpha-4
# tar cafJ jra-1.0-alpha-4.tar.xz jra-1.0-alpha-4

Source0:       %{name}-%{namedversion}.tar.xz

BuildArch:     noarch

BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

Requires:      jpackage-utils
Source44: import.info

%description
The Java REST annotations are annotations to help service creators build REST
style services. Frameworks which wish to support REST can reuse these
annotations just like the JSR181 & JAX-WS annotations are used across
implementations. However, the idea with JRA is that many different frameworks
(web, XML/SOAP, etc) may want to expose REST style services.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild -Dmaven.compile.source=1.5 -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  \
  -Dproject.build.sourceEncoding=UTF-8 \
  package javadoc:aggregate

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}

# jar
install -pm 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmap
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc src/main/resources/META-INF/LICENSE

%files javadoc
%{_javadocdir}/%{name}
%doc src/main/resources/META-INF/LICENSE

%changelog
* Fri Mar 15 2013 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt2_0.2.alpha4jpp7
- fc update

* Tue Mar 03 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.a4.1jpp5
- new version

